<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

//Theme Settings
define("THEME_WIDTH", "999"); //theme width. Make sure to adapt the margin-left in the first div (-width/2).
$enable_colour_switcher = true; //true=enable colour switcher | false=disable colour switcher
$enable_translate ="true"; //true=enable  | false=disable Google Translate
$enable_submenu ="true"; //true=enable  | false=disable Sub Menue Dropdown
//Theme Settings /

// Colour Switcher // Default Colour black 
$colour_switcher = new Switcher("select", "colour", "gif", "black", "switcherbutton");
if(!$enable_colour_switcher){
	$colour_switcher->disable();
}

redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);

set_image("pollbar", THEME."images/black/cap.gif");
if ($colour_switcher->selected != 'black'){
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/black/bullet.gif' alt='' style='border:0px; width:4px; height:6px; vertical-align:middle;'/></span>");
}else{
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/black/bullet.gif' alt='' style='border:0px; width:4px; height:6px; vertical-align:middle;'/></span>");
}

function get_head_tags(){
	global $colour_switcher;
	echo $colour_switcher->makeHeadTag();
}

function render_page($license=false) {
	global $aidlink, $locale, $settings, $colour_switcher, $enable_translate, $enable_submenu, $main_style;
	 // If SuperFish jQuery menu is Disables set to false add Sub Header ul / li to head
	 if ($enable_submenu =="false") {
	add_to_head("<style type='text/css'>
	.sub-header ul { margin: 0; padding: 0; }
	.sub-header ul li { display: inline; }
	.sub-header ul li.first-link .bullet { display: none; }
	</style>");
		}
		//
		
	require_once THEME."menu/functions.php";
	//Header
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='full-header'>\n".showbanners()."";
	
	//Google Translate
	if ($enable_translate =="false") {
	echo"<div style='float:right;margin-top:40px;padding:5px 5px 5px 5px;'>";
	require_once THEME."extras/translate.php";
	echo"</div>";
	}
	echo"</td>\n";
	echo "		<td align='right' valign='bottom' class='full-header'>\n";
	
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='sub-header-left'></td>\n";
	
	if ($enable_submenu =="false") {
	//Standard Sub Links 
	echo "		<td class='sub-header'>".showsublinks(" &middot; ", "white")."</td>\n";
	}else{
	//Super Fish Menu 
	echo "		<td class='sub-header'>";
	echo navigation();
	echo "		</td>\n";
	}
	
	echo "		<td align='right' class='sub-header'>".$colour_switcher->makeForm("flright")."</td>\n";
	echo "		<td class='sub-header-right'></td>\n";
	echo "	</tr>\n";	echo "</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center' class='$main_style'>\n";
	echo "	<tr>\n";
	if (LEFT) {
		echo "		<td class='side-border-left' valign='top'>".LEFT."</td>\n";
	}
	echo "		<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if (RIGHT) {
		echo "		<td class='side-border-right' valign='top'>".RIGHT."</td>\n";
	}
	echo "	</tr>\n";
	echo "</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' align='center' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
	echo "		<td class='sub-header-left'></td>\n";
	echo "		<td align='left' class='sub-header'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
	echo "		<td align='right' class='sub-header'>".showcounter()."</td>\n";
	echo "		<td align='center' class='sub-header'>\n";
	echo "			<a title='delay=[0] fade=[on]' href='javascript:scroll(0,0);'>\n";
	echo "				<img src='".THEME."images/up.gif' border='0' alt='Top' title='Top' />\n";
	echo "			</a>\n";
	echo "		</td>\n";
	echo "		<td class='sub-header-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' align='center' cellspacing='0' width='".THEME_WIDTH."'>\n";
	echo "	<tr>\n";
    echo "		<td align='center' class='main-footer'>\n";
	echo "			".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	
	echo " [<a href='".THEME."credits.php' title='Credits'>Gillette Multicolour II Special Edition</a>]\n";
	echo" <br />\n".showsubdate()."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' align='center' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$subject."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body middle-border'>".$news."</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td align='center' class='news-footer middle-border'>\n";
	echo "			".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td class='news-footer2'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' align='center' cellpadding='0' cellspacing='0'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$subject."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td align='center' class='news-footer'>\n";
	echo "			".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."\n";
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='capmain-left'></td>\n";
	echo "		<td class='capmain'>".$title."</td>\n";
	echo "		<td class='capmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='main-body'>\n";

}

function closetable() {

	echo "		</td>\n";
	echo "	</tr>\n";
	echo "	<tr>\n";
	echo "		<td class='news-footer2'></td>\n";	
	echo "	</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "	<tr>\n";
	echo "		<td class='scapmain-left'></td>\n";
	echo "		<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "		<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "		<td class='scapmain-right'></td>\n";
	echo "	</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n";
	echo "	<tr>\n";
	echo "		<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "		</td>\n";
	echo "	</tr>\n";
	echo "</table>\n";

}
?>
